org.jetlang.web

## Interface SessionDispatcherFactory<S>

All Known Implementing Classes:
  SessionDispatcherFactory.FiberSessionFactory, SessionDispatcherFactory.OnReadThreadDispatcher

    public interface SessionDispatcherFactory<S>

### Nested Class Summary

Nested Classes
`static class` `SessionDispatcherFactory.FiberSession<S>`
`static class` `SessionDispatcherFactory.FiberSessionFactory<S>`
`static class` `SessionDispatcherFactory.OnReadThread<S>`
`static class` `SessionDispatcherFactory.OnReadThreadDispatcher<S>`
`static interface` `SessionDispatcherFactory.SessionDispatcher<S>`

### Method Summary

All Methods Instance Methods Abstract Methods
`SessionDispatcherFactory.SessionDispatcher<S>` `createOnNewSession(S session, HttpRequest headers)`

### Method Detail

#### createOnNewSession

    SessionDispatcherFactory.SessionDispatcher<S> createOnNewSession(S session,
                                                                     HttpRequest headers)